function $_(idElement){
	return document.getElementById(idElement);
}

function $F_(idElement){
   var element = $_(idElement);
   switch(element.type){
   	 case 'select-one':
       return element.options[element.selectedIndex].value;
     break;
     case 'radio':
     case 'checkbox':
       return element.checked;
     break;
     case 'text':
     case 'password':
     case 'textarea':
     case 'hidden':
       return element.value;
     break;
     default:
       return element.innerHTML;
   }
}

function killEvent(elm, evType, fn, useCapture){
       if (elm.removeEventListener) {
                elm.removeEventListener(evType, fn, useCapture);
        return true;
        }
        else if (elm.detachEvent) {
                var r = elm.detachEvent('on' + evType, fn);
                return r;
        }
        else {
                elm['on' + evType] = null;
        }
}
function addEventMy(elm, evType, fn, useCapture) {
        if (elm.addEventListener) {
                elm.addEventListener(evType, fn, useCapture);
        return true;
        }
        else if (elm.attachEvent) {
                var r = elm.attachEvent('on' + evType, fn);
                return r;
        }
        else {
                elm['on' + evType] = fn;
        }
}

function highlightField(field){
    $_(field).style.backgroundColor = "#FDC055";
}

function unhighlightField(formName){
    var form = document.forms[formName];
    var countElements = form.length;
    for (i = 0; i < countElements; i++){
       	if (form.elements[i].type == 'button' || form.elements[i].type == 'submit' || form.elements[i].type == 'radio' || form.elements[i].type == 'hidden') continue;
       	form.elements[i].style.backgroundColor = "#FFFFFF";
    }
}

function isEmpty(value){
	var pattern = /\S/;
	return ret = (pattern.test(value)) ? (0) : (1);
}

function checkMail(value){
   var pattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
   return ret = (pattern.test(value)) ? (1) : (0);
}

function Equal(value1, value2){
  return (value1 == value2)
}

function validateRegistrationForm(fullpath, formName){    
    var arrayId            = new Array('title', 'u_name', 'f_name', 'l_name', 'street', 'zip', 'city', 'country', 'email', 'phone', 'password',     'agb');
    var arrayType          = new Array('notn',  'nem',    'nem',    'nem',    'nem',    'zip', 'nem',  'notn',    'em',    'nem',   'eqne',         'chk');
    var arrayParams        = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      'password_2',   '');
    var arrayErrorMessages = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      '',             '');
    var typeShowError      = 2;
	var backCurrent = '#FFFFFF';
	var backColor   = '#FDC055';
	var myForm = new validateForm(formName, arrayId, arrayType, arrayParams, arrayErrorMessages, typeShowError, backCurrent, backColor);
	var error = (myForm.validate()) ? (1) : (0);
	if (!error){
		return false;
	} else {
        function showResponse(originalRequest){
           if (originalRequest != 1){
           	  alert (originalRequest);
           	  return false;
           } else {
           	  document.forms[formName].submit();
           }
        }
        var url = fullpath + 'index.php?option=com_jshopping&controller=user&task=check_user_exist_ajax&username='+$F_('u_name')+'&email='+$F_('email');
	    jQuery.get(url, showResponse);
        return false;
	}
}

function validateCheckoutAdressForm(livepath, formName){
    var arrayId            = new Array('title', 'u_name', 'f_name', 'l_name', 'street', 'zip', 'city', 'country', 'email', 'phone', 'agb');
    var arrayType          = new Array('notn',  'nem',    'nem',    'nem',    'nem',    'zip', 'nem',  'notn',    'em',    'nem',   'chk');
    var arrayParams        = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      '');
    var arrayErrorMessages = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      '');
    var typeShowError      = 2;
	var backCurrent = '#FFFFFF';
	var backColor   = '#FDC055';
    if ($_('delivery_adress_2')){
        if ($F_('delivery_adress_2')){
		    arrayId   		   = arrayId.concat(            'd_title',  'd_f_name', 'd_l_name', 'd_street', 'd_zip',    'd_city',   'd_country',    'd_phone');
		    arrayType 		   = arrayType.concat(          'notn',     'nem',      'nem',      'nem',      'zip',      'nem',      'notn',         'nem');
		    arrayParams		   = arrayParams.concat(        '',         '',         '',         '',         '',         '',         '',             '');
		    arrayErrorMessages = arrayErrorMessages.concat( '',         '',         '',         '',         '',         '',         '',             '');
        }
    }
	var myForm = new validateForm(formName, arrayId, arrayType, arrayParams, arrayErrorMessages, typeShowError, backCurrent, backColor);
	return error = (myForm.validate()) ? (true) : (false);
}

function validateEditAccountForm(livepath, formName){
    var arrayId            = new Array('title', 'u_name', 'f_name', 'l_name', 'street', 'zip', 'city', 'country', 'email', 'phone', 'agb');
    var arrayType          = new Array('notn',  'nem',    'nem',    'nem',    'nem',    'zip', 'nem',  'notn',    'em',    'nem',   'chk');
    var arrayParams        = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      '');
    var arrayErrorMessages = new Array('',      '',       '',       '',       '',       '',    '',     '',        '',      '',      '');
    var typeShowError      = 2;
    var backCurrent = '#FFFFFF';
    var backColor   = '#FDC055';
    if ($_('delivery_adress_2')){
        if ($F_('delivery_adress_2')){
            arrayId              = arrayId.concat(          'd_title',  'd_f_name', 'd_l_name', 'd_street', 'd_zip', 'd_city', 'd_country', 'd_phone');
            arrayType            = arrayType.concat(        'notn',     'nem',      'nem',      'nem',      'zip',   'nem',    'notn',      'nem');
            arrayParams          = arrayParams.concat(      '',         '',         '',         '',         '',      '',       '',          '');
            arrayErrorMessages = arrayErrorMessages.concat( '',         '',         '',         '',         '',      '',       '',          '');
        }
    }
    var myForm = new validateForm(formName, arrayId, arrayType, arrayParams, arrayErrorMessages, typeShowError, backCurrent, backColor);
    return error = (myForm.validate()) ? (true) : (false);
}


function validateFormAdvancedSearch(formName){
    var arrayId            = new Array('date_from', 'date_to', 'price_from', 'price_to');
    var arrayType          = new Array('date|em', 'date|em', 'fl|em', 'fl|em');
    var arrayParams        = new Array('', '');
    var arrayErrorMessages = new Array('', '');
    var typeShowError      = 2;
	var backCurrent = '#FFFFFF';
	var backColor   = '#FDC055';
    var myForm = new validateForm(formName, arrayId, arrayType, arrayParams, arrayErrorMessages, typeShowError, backCurrent, backColor);
    error = myForm.validate(); 
    return error;
}
var activePaymentMethod = "";
function showPaymentForm(paymentMethod){
    activePaymentMethod = paymentMethod;
    jQuery("tr[id^='tr_payment_']").hide();
    jQuery('#tr_payment_'+paymentMethod).show();
}

function checkPaymentForm(){
    if (activePaymentMethod){        
        if (payment_type_check[activePaymentMethod]=='1'){
            eval("check_"+activePaymentMethod+"();");    
        }else{
            $_('payment_form').submit();
        }
    }
}

function isInt_5_8(value){
	var pattern = /^(\d){5,8}$/;
	return ret = (pattern.test(value)) ? (1) : (0);
}

function validateShippingMethods(){
    var tableShip = $_('table_shippings');
    var inputs = tableShip.getElementsByTagName('input');
    for (var i=0; i<inputs.length; i++){
    	if (inputs[i].type != 'radio') continue;
        if (inputs[i].checked) return true;
    }
    return false;
}

function hideElement(idElement){
    $_(idElement).style.display = 'none';
}

function disableElement(idElement){
    $_(idElement).disabled = true;
}

function changeSortCountProducts(changeOrder){
    if (changeOrder){
       $_('orderby').value = $_('orderby').value ^ 1;
    }
    $_('sort_count').submit();
    
}

function showVideo(idElement, width, height){
	jQuery('.video_full').hide();
    jQuery('#hide_' + idElement).attr("href", jQuery("#"+idElement).attr("href"));
	jQuery('a.modal').hide();
    jQuery('#main_image').hide();
	jQuery('#hide_' + idElement).show();
    
	jQuery('#hide_' + idElement).media( { width: width, height: height} );
}

function showImage(id){    
    jQuery('.video_full').hide();
    jQuery('a.modal').hide();
    jQuery("#main_image_full_"+id).show();
}

function playMusic(idElement){
	jQuery('#' + idElement).media( { width: 100, height: 20, autoplay:true } );
}

function showHideReview(){
	jQuery('#jshop_review_write').show();
}

function reloadAttribSelectAndPrice(id_select, fullpath){
    var product_id = jQuery("#product_id").val();
    var qty = jQuery("#quantity").val();
    var str = fullpath+"index.php?option=com_jshopping&controller=product&task=ajax_attrib_select_and_price&product_id="+product_id+"&change_attr="+id_select+"&qty="+qty;
    for(var i=0;i<attr_list.length;i++){
        var id = attr_list[i];                                
        str+="&attr["+id+"]="+attr_value[id];
    }
    
    jQuery.getJSON(str,
        function(json){
            var reload_atribut = 0;
            for(var i=0;i<attr_list.length;i++){
                var id = attr_list[i];
                if (reload_atribut){
                    jQuery("#block_attr_sel_"+id).html(json['id_'+id]);
                }
                if (id == id_select) reload_atribut = 1;
            }            
            jQuery("#block_price").html(json.price);
            for(key in json){
                if (key.substr(0,3)=="pq_"){
                    jQuery("#pricelist_from_"+key.substr(3)).html(json[key]);
                }
            }
            
            if (json.available=="0"){
                jQuery("#not_available").html(translate_not_available);
            }else{
                jQuery("#not_available").html("");
            }            
            
            reloadAttrValue();
        });
}

function setAttrValue(id, value, fullpath){
    attr_value[id] = value;
    reloadAttribSelectAndPrice(id, fullpath);    
}

function reloadAttrValue(){
    for(var id in attr_value){        
        if (jQuery("#jshop_attr_id"+id).attr("type")=="radio"){
            attr_value[id] = jQuery("input[name=jshop_attr_id\\["+id+"\\]]:checked").val();
        }else{
            attr_value[id] = jQuery("#jshop_attr_id"+id).val();
        }
    }    
}

function reloadPrices(fullpath){
    var qty = jQuery("#quantity").val();
    if (qty!=""){
        reloadAttribSelectAndPrice(0, fullpath);
    }
}