<?php $order = $this->order; ?>
<table>
  <tr>
    <td>
      <b><?php print _JSHOP_ORDER_NUMBER ?>:</b> <?php print $order->order_id ?>
    </td>
  </tr>
  <tr>
    <td>
      <b><?php print _JSHOP_ORDER_STATUS ?>:</b> <?php print $order->status_name ?>
    </td>
  </tr>
  <tr>
    <td>
      <b><?php print _JSHOP_ORDER_DATE ?>:</b> <?php print formatdate($order->order_date, 0) ?>
    </td>
  </tr>
  <tr>
    <td>
      <b><?php print _JSHOP_PRICE_TOTAL ?>:</b> <?php print formatprice($order->order_total, $order->currency_code); ?>
    </td>
  </tr>
</table>
<br/>
<table width="100%">
<tr>
    <td width="50%" valign="top">
        <table class = "jshop">
        <tr>
          <td colspan=2><b><?php print _JSHOP_EMAIL_BILL_TO ?></b></td>
        </tr>
        <tr>
          <td width = "40%"><?php print _JSHOP_FIRMA_NAME ?>:</td>
          <td width = "60%"><?php print $order->firma_name ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_FULL_NAME ?> :</td>
          <td><?php print $order->f_name ?> <?php print $order->l_name ?></td>
        </tr>
        <tr valign=top>
          <td><?php print _JSHOP_STREET_NR ?>:</td>
          <td><?php print $order->street ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_CITY ?> :</td>
          <td><?php print $order->city ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_STATE ?> :</td>
          <td><?php print $order->state ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_ZIP ?> :</td>
          <td><?php print $order->zip ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_COUNTRY ?> :</td>
          <td><?php print $order->country ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_TELEFON ?> :</td>
          <td><?php print $order->phone ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_FAX ?> :</td>
          <td><?php print $order->fax ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_EMAIL ?>:</td>
          <td><?php print $order->email ?></td>
        </tr>
        </table>
    </td>
    <td width="50%"  valign="top">
        <table class = "jshop">
        <tr>
          <td colspan=2><b><?php print _JSHOP_EMAIL_SHIP_TO ?></b></td>
        </tr>
        <tr>
          <td width = "40%"><?php print _JSHOP_FIRMA_NAME ?>:</td>
          <td width = "60%"><?php print $order->d_firma_name ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_FULL_NAME ?> </td>
          <td><?php print $order->d_f_name ?> <?php print $order->d_l_name ?></td>
        </tr>
        <tr valign=top>
          <td><?php print _JSHOP_STREET_NR ?>:</td>
          <td><?php print $order->d_street ?><br></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_CITY ?> :</td>
          <td><?php print $order->d_city ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_STATE ?> :</td>
          <td><?php print $order->d_state ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_ZIP ?> :</td>
          <td><?php print $order->d_zip ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_COUNTRY ?> :</td>
          <td><?php print $order->country ?></td>
        </tr>
        <tr>
          <td><?php print _JSHOP_TELEFON ?> :</td>
          <td><?php print $order->d_phone ?></td>
        </tr>
      </table>
    </td>
</tr>
</table>

<br/>
<table class = "jshop cart">
  <tr>
    <th>
      <?php print _JSHOP_ITEM?>
    </th>
    <th width = "15%">
    <?php print _JSHOP_EAN_PRODUCT?>
    </th>
    <th width = "15%">
      <?php print _JSHOP_SINGLEPRICE ?>
    </th>
    <th width = "15%">
      <?php print _JSHOP_NUMBER ?>
    </th>
    <th width = "15%">
      <?php print _JSHOP_PRICE_TOTAL ?>
    </th>
  </tr>
  <?php 
  $i=1; $countprod = count($order->items);
  foreach($order->items as $key_id=>$prod){
      $files = unserialize($prod->files);
  ?> 
  <tr class = "jshop_prod_cart <?php if ($i%2==0) print "even"; else print "odd"?>">
    <td style="text-align:left">
        <?php print $prod->product_name; ?>        
        <div>
            <?php print nl2br($prod->product_attributes);?>
        </div>
        <?php if (count($files)){?>
            <br/>
            <?php foreach($files as $file){?>
                <div><?php print $file->file_descr?> <a href="<?php print JURI::root()?>index.php?option=com_jshopping&controller=product&task=getfile&oid=<?php print $this->order->order_id?>&id=<?php print $file->id?>&hash=<?php print $this->order->file_hash;?>"><?php print _JSHOP_DOWNLOAD?></a></div>
            <?php }?>
         <?php }?>        
    </td>
    <td>
        <?php print $prod->product_ean;?>
    </td>
    <td>
      <?php print formatprice($prod->product_item_price, $order->currency_code) ?>
      <?php if ($this->config->show_tax_product_in_cart){?>
            <span class="taxinfo"><?php print sprintf(_JSHOP_INC_PERCENT_TAX, intval($prod->product_tax));?></span>
        <?php }?>
    </td>
    <td>
      <?php print $prod->product_quantity; ?>
    </td>
    <td>
      <?php print formatprice($prod->product_item_price * $prod->product_quantity, $order->currency_code); ?>
      <?php if ($this->config->show_tax_product_in_cart){?>
            <span class="taxinfo"><?php print sprintf(_JSHOP_INC_PERCENT_TAX, intval($prod->product_tax));?></span>
        <?php }?>
    </td>
  </tr>
  <?php 
  $i++;
  } 
  ?>
  </table>
  <br/>
  
  <table class = "jshop jshop_subtotal">
  <tr>    
    <td class = "name">
      <?php print _JSHOP_SUBTOTAL ?>
    </td>
    <td class = "value">
      <?php print formatprice($order->order_subtotal, $order->currency_code); ?>
    </td>
  </tr>
  <?php if ($order->order_discount > 0){ ?>
  <tr>
    <td class = "name">
      <?php print _JSHOP_RABATT_VALUE ?>
    </td>
    <td class = "value">
      <?php print formatprice(-$order->order_discount, $order->currency_code); ?>
    </td>
  </tr>
  <?php } ?>
  <?php if (!$this->config->without_shipping){?>
  <tr>
    <td class = "name">
         <?php print _JSHOP_SHIPPING_PRICE;?>
    </td>
    <td class = "value">
      <?php print formatprice($order->order_shipping, $order->currency_code);?>
    </td>
  </tr>
  <?php } ?>
  <?php foreach($order->order_tax_list as $percent=>$value){?>
  <tr>
    <td class = "name">
      <?php print _JSHOP_INC_TAX;?>
      <?php if ($this->show_percent_tax) print $percent."%"?>
    </td>
    <td class = "value">
      <?php print formatprice($value, $order->currency_code); ?>
    </td>
  </tr>
  <?php }?>
  <tr>
    <td class = "name">
      <?php print $this->text_total; ?>
    </td>
    <td class = "value">
      <?php print formatprice($order->order_total, $order->currency_code); ?>
    </td>
  </tr>
</table>

<br/>
<table width="100%">
  <tr>
    <td width="50%">
        <b><?php print _JSHOP_PAYMENT_INFORMATION ?></b>
    </td>    
    <td>
        <?php if (!$this->config->without_shipping){?>
        <b><?php print _JSHOP_SHIPPING_INFORMATION ?></b>
        <?php } ?>
    </td>    
  </tr>
  <tr>
    <td valign="top">
        <?php
        print nl2br($order->payment_params);
        ?>
    </td>  
    <td valign="top">
        <?php if (!$this->config->without_shipping){
        print nl2br($order->shipping_info);
        } ?>
    </td>  
  </tr>
</table>

<?php if ($order->order_add_info){ ?>
<table class = "jshop" style = "margin-top:15px">
<tr>
  <td width = "100%">
    <b><?php print _JSHOP_ORDER_COMMENT ?></b><br />
    <?php print $order->order_add_info ?>
  </td>
</tr>
</table>
<?php } ?>

<table class = "jshop" style = "margin-top:15px">
<tr>
  <td width = "100%">
    <b><?php print _JSHOP_ORDER_HISTORY ?></b><br />
    <table>
    <?php foreach($order->history as $history){?>
       <tr>
         <td>
           <?php  print formatdate($history->status_date_added, 0); ?>
         </td>
         <td>
           <?php print $history->status_name ?>
         </td>
         <td>
           <?php print $history->comments ?>
         </td>
       </tr>
    <?php } ?>
    </table>
  </td>
</tr>
</table>
