<?php
/**
* @version      2.3.0 05.09.2010
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
error_reporting(E_ALL & ~E_NOTICE);

function jshoppingBuildRoute(&$query){
    $segments = array();
	
	$controller = $query['controller'];             
        
    if(isset($query['controller'])) {                  
        $segments[] = $query['controller'];
        unset( $query['controller'] ); 
    }
    
    if(isset($query['task'])) {
        $segments[] = $query['task'];
        unset( $query['task'] ); 
    }
	
	if ($controller=="category" || $controller=="product"){
		if(isset($query['category_id'])) {
	        $segments[] = $query['category_id'];
	        unset( $query['category_id'] ); 
	    } 
		
		if(isset($query['product_id'])) {
	        $segments[] = $query['product_id'];
	        unset( $query['product_id'] ); 
	    }   
    }
        
    if ($controller=="manufacturer"){
        if(isset($query['manufacturer_id'])) {
            $segments[] = $query['manufacturer_id'];
            unset( $query['manufacturer_id'] ); 
        } 
    }    
    
    return $segments;
}

function jshoppingParseRoute($segments){
    $vars = array();
    $vars['controller'] = $segments[0];
    $vars['task'] = $segments[1];
    
    if ($vars['controller']=="category" && $vars['task']=="view"){
    	$vars['category_id'] = $segments[2];
    }    
    
    if ($vars['controller']=="product" && $vars['task']=="view"){
    	$vars['category_id'] = $segments[2];
    	$vars['product_id'] = $segments[3];    	
    }
    
    if ($vars['controller']=="product" && $vars['task']=="ajax_attrib_select_and_price"){        
        $vars['product_id'] = $segments[2];
    }
        
    if ($vars['controller']=="manufacturer"){
        $vars['manufacturer_id'] = $segments[2];
    }
    
return $vars;
}

?>